Wednesday, March 18, 2020

Audible Spokenbooks in Linux

Last time I looked Audible didnt have a Linux app. I use my tablet to listen to spoken books which was kinda annoying.


https://openaudible.org/

Launcher wont work.

Ref : https://github.com/openaudible/openaudible/issues/110

Fault : Didnt have Java Installed.

JDK 8

Debian, Ubuntu, etc.

On the command line, type:

    $ sudo apt-get install openjdk-8-jre

The openjdk-8-jre package contains just the Java Runtime Environment.

Worked on Ubuntu ...  HAPPY.

Will try it on the Pi4.

Wont work.

----------------------------------------------------------------------------------------
java.lang.UnsatisfiedLinkError: Cannot load 64-bit SWT libraries on 32-bit JVM
at org.eclipse.swt.internal.Library.loadLibrary(Unknown Source)
at org.eclipse.swt.internal.Library.loadLibrary(Unknown Source)
at org.eclipse.swt.internal.C.<clinit>(Unknown Source)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Unknown Source)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Unknown Source)
at org.eclipse.swt.widgets.Display.<clinit>(Unknown Source)
at org.openaudible.desktop.swt.manager.AppLoader.<init>(AppLoader.java:44)
at org.openaudible.desktop.swt.manager.AppLoader.main(AppLoader.java:80)
at org.openaudible.desktop.Application.main(Application.java:22)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at com.exe4j.runtime.LauncherEngine.launch(LauncherEngine.java:85)
at com.install4j.runtime.launcher.UnixLauncher.start(UnixLauncher.java:66)
at install4j.org.openaudible.desktop.Application.main(Unknown Source)


i@raspberrypi:~ $ java -version
openjdk version "11.0.6" 2020-01-14
OpenJDK Runtime Environment (build 11.0.6+10-post-Raspbian-1deb10u1)
OpenJDK Server VM (build 11.0.6+10-post-Raspbian-1deb10u1, mixed mode)

Uninstall Java 

sudo apt-get remove openjdk-8-jre

sudo apt-get remove openjdk-8-jre
Reading package lists... Done
Building dependency tree     
Reading state information... Done
The following packages will be REMOVED:
  openjdk-8-jre
0 upgraded, 0 newly installed, 1 to remove and 6 not upgraded.
After this operation, 234 kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 154211 files and directories currently installed.)
Removing openjdk-8-jre:armhf (8u212-b01-1+rpi1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for libc-bin (2.28-10+rpi1) ...
Processing triggers for desktop-file-utils (0.23-4) ...
pi@raspberrypi:~ $ java -version
openjdk version "11.0.6" 2020-01-14
OpenJDK Runtime Environment (build 11.0.6+10-post-Raspbian-1deb10u1)
OpenJDK Server VM (build 11.0.6+10-post-Raspbian-1deb10u1, mixed mode)

No change in fault. 


---------------------------------------------------------------------------------------------

It seems to be a 32 vs 64 bit issue. Just leave it for now.  Maybe mess with it later.

No comments:

Post a Comment